/**
 * Caches the result of a function call by its arguments.
 *
 * @example
 * ```
 * const cached = cache(() => Math.random())
 * cached() // will be called immediately
 * cached() // will return the same value
 * ```
 */
export declare function cache<T extends Function>(func: T): T;
