type ReqLike = {
    body: any;
};
type RespLike = {
    status(status: unknown): unknown;
    json(value: unknown): unknown;
};
type NextLike = (err?: any) => void;
/**
 * Creates [connect](https://www.npmjs.com/package/connect) style error handle compatible with ExpressJS and other similar frameworks.
 *
 * @example
 * ```
 * app.use(httpErrorHandler())
 * @experimental
```
 */
export declare function httpErrorHandler<Req extends ReqLike, Resp extends RespLike, Next extends NextLike>({ serializer, }?: {
    serializer: (err: {
        message: string;
        status: number;
        error: Error;
    }, req: Req, resp: Resp, next: Next) => void;
}): (err: unknown, req: Req, resp: Resp, next: Next) => void;
export {};
